c-icap-client(8)

NAME
c-icap-client - simple ICAP client

SYNOPSIS
c-icap-client [ -V ] [ -VV ] [ -i icap_servername ] [ -p port ] [ -s service ] [ -f input_file ] [ -o out_file ] [ -req url ] [ -resp url ] [ -d debug level ] [ -noreshdr ] [ -nopreview ] [ -no204 ] [ -206 ] [ -x icap-header ] [ -hx http-request-header ] [ -rhx http-response-header ] [ -w preview_size ] [ -v ]

DESCRIPTION
c-icap-client is a simple ICAP client. It can be used to test your icap server configuration.

OPTIONS

-V  Print version

-VV Print build informations

-i icap_servername
    The hostname of the icap server. The default is localhost

-p port
    The server port. The default port value is 1344

-s service
    The service name. The default service name is "echo"

-f filename
    Send this file to the icap server. Default is to send an options request

-o filename
    Save output to this file. Default is to send to stdout

-req url
    Send a request modification instead of response modification, using as http url the url provided with this option.

-resp url
    Send a response modification with http request headers, using as http url the url provided with this option.

-d level
    debug level info to stdout

-noreshdr
    Do not send reshdr headers

-nopreview
    Do not send preview request data

-no204
    Do not allow204 outside preview

-206
    Support 206 responses

-x icap-header
    Include the icap-header in icap request headers

-hx http-request-header
    Include the http-request-header in http request headers

-rhx http-response-header
    Include the http-response-header in http response headers

-w preview
    Sets the maximum preview data size to preview

-v  Print response headers

SEE ALSO
c-icap(8) c-icap-stretch(8) c-icap-config(8) c-icap-libicapapi-config(8) c-icap-mkbdb(8)

BUGS
Many...

AUTHOR
Tsantilas Christos